<?php

namespace Modules\Dummy\Database\Seeders\Modules\MenuBuilder;

use Illuminate\Database\Seeder;
use Illuminate\Database\Eloquent\Model;
use Modules\Dummy\Database\Seeders\Modules\MenuBuilder\versions\v1_5_0\DatabaseSeeder as DatabaseSeederV15;
use Modules\Dummy\Database\Seeders\Modules\MenuBuilder\versions\v1_8_0\DatabaseSeeder as DatabaseSeederV18;

class MenuBuilderDatabaseSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        Model::unguard();
        $this->call(MenusTableSeeder::class);
        $this->call(MenuItemsTableSeeder::class);
        $this->call(AdminMenusTableSeeder::class);

        $this->call(DatabaseSeederV15::class);
        $this->call(DatabaseSeederV18::class);

    }
}
